Bug 640808 (CVE-2010-3834) - CVE-2010-3834 MySQL: user variable assignments crash server when used within query (MySQL Bug#55568)
Summary: CVE-2010-3834 MySQL: user variable assignments crash server when used within ...
Status: CLOSED NOTABUG
Alias: CVE-2010-3834
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100928,reported=20100930,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-06 20:17 UTC by Vincent Danen
Modified: 2011-01-11 23:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 03:56:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (3.70 KB, patch)
2010-10-14 09:07 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff

Description Vincent Danen 2010-10-06 20:17:45 UTC
A flaw in MySQL versions prior to 5.1.51 [1] was reported [2] that could allow an authenticated user to kill connections to MySQL, where the server could crash after materializing a derived table that required a temporary table for grouping.

[1] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-51.html
[2] http://bugs.mysql.com/bug.php?id=55568

Comment 2 Vincent Danen 2010-10-12 20:11:26 UTC
This issue has been assigned the name CVE-2010-3834:

http://article.gmane.org/gmane.comp.security.oss.general/3627

Comment 4 Huzaifa S. Sidhpurwala 2010-10-14 09:07:57 UTC
Created attachment 453410 [details]
upstream patch

Comment 11 Huzaifa S. Sidhpurwala 2010-10-22 03:56:12 UTC
This issue did NOT affect the versions of mysql as shipped with Fedora 12 and Fedora 13.

Comment 12 Vincent Danen 2011-01-11 23:06:49 UTC
Statement:

Not vulnerable. This issue did not affect the versions of mysql as shipped with Red Hat Enterprise Linux 3, 4, 5, or 6.


Note You need to log in before you can comment on or make changes to this bug.